RDKit::MolSupplier Class Referenceabstract

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::MolSupplier:

## Public Member Functions

| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | init ()=0
virtual void | reset ()=0
virtual bool | atEnd ()=0
virtual ROMol * | next ()=0

## Protected Attributes

std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

Here are a couple of ways one can interact with MolSuppliers:

1) Lazy (ForwardIterator): while(!supplier.atEnd()){ ROMol *mol = supplier.next(); if(mol){ do something; } } 2) Random Access: for(int i=0;i<supplier.length();i++){ ROMol *mol = supplier[i]; if(mol){ do something; } }

Definition at line 56 of file MolSupplier.h.

## Constructor & Destructor Documentation

## MolSupplier()

RDKit::MolSupplier::MolSupplier | ( |  | ) |

inline

Definition at line 59 of file MolSupplier.h.

## ~MolSupplier()

virtual RDKit::MolSupplier::~MolSupplier | ( |  | ) |

inline virtual

Definition at line 60 of file MolSupplier.h.

## Member Function Documentation

## atEnd()

virtual bool RDKit::MolSupplier::atEnd | ( |  | ) |

pure virtual

Implemented in RDKit::PDBMolSupplier, RDKit::TDTMolSupplier, RDKit::SmilesMolSupplier, RDKit::SDMolSupplier, and RDKit::ForwardSDMolSupplier.

## init()

virtual void RDKit::MolSupplier::init | ( |  | ) |

pure virtual

Implemented in RDKit::PDBMolSupplier, RDKit::TDTMolSupplier, RDKit::SmilesMolSupplier, RDKit::SDMolSupplier, and RDKit::ForwardSDMolSupplier.

## next()

virtual ROMol* RDKit::MolSupplier::next | ( |  | ) |

pure virtual

Implemented in RDKit::PDBMolSupplier, RDKit::TDTMolSupplier, RDKit::SmilesMolSupplier, RDKit::SDMolSupplier, and RDKit::ForwardSDMolSupplier.

## reset()

virtual void RDKit::MolSupplier::reset | ( |  | ) |

pure virtual

Implemented in RDKit::PDBMolSupplier, RDKit::TDTMolSupplier, RDKit::SmilesMolSupplier, RDKit::SDMolSupplier, and RDKit::ForwardSDMolSupplier.

## Member Data Documentation

## df_owner

bool RDKit::MolSupplier::df_owner = false

protected

Definition at line 78 of file MolSupplier.h.

## dp_inStream

std::istream* RDKit::MolSupplier::dp_inStream = nullptr

protected

Definition at line 76 of file MolSupplier.h.

The documentation for this class was generated from the following file:

- MolSupplier.h